module Debate.Arguments.Nutrition.DietaryCholesterol exposing (..)

import Debate.Types exposing (..)


argumentDietaryCholesterol : Argument
argumentDietaryCholesterol =
    { argumentTitle = "Argument for Atherogenic Dietary Cholesterol"
    , propositionTitle = "Consuming high amounts of dietary cholesterol increases heart disease risk."
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(~6x(Px~5Qx)),(Pd)|=(Qd)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "consuming high amounts of (x) increases LDL"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) increases heart disease risk"
          }
        , { definiendum = "d"
          , definiens = "dietary cholesterol"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, if consuming high amounts of substance (x) increases LDL, then consuming high amounts of substance (x) increases heart disease risk."
                  , notation = "(∀x(Px→Qx))"
                  }
                , { premise = "Consuming high amounts of dietary cholesterol increases LDL."
                  , notation = "(Pd)"
                  }
                ]
          , conclusion = "Therefore, consuming high amounts of dietary cholesterol increases heart disease risk."
          , conclusionNotation = "(∴Qd)"
          }
        ]
    }